- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::GRTCints Class Reference

GRTCints is a specialization of Int2eCints that computes two-electron integrals specific to linear R12 methods. More...

`#include <grt.h>`

Inheritance diagram for sc::GRTCints:

List of all members.

## Public Member Functions
| GRTCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, size_t storage)
double * | buffer (TwoBodyInt::tbint_type te_type) const
| Returns the location of the buffer with target integrals.
void | compute_quartet (int *, int *, int *, int *)
| Evaluate the target quartet of integrals.
## Static Public Member Functions
static size_t | storage_required (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2=0, const Ref< GaussianBasisSet > &b3=0, const Ref< GaussianBasisSet > &b4=0)

## Detailed Description

GRTCints is a specialization of Int2eCints that computes two-electron integrals specific to linear R12 methods.

The documentation for this class was generated from the following file:

- grt.h